<?php    

namespace Concrete\Package\DexignTheme;

defined('C5_EXECUTE') or die("Access Denied.");  

use Concrete\Core\Package\Package;
use Concrete\Core\Block\BlockType\BlockType;
use Concrete\Core\Page\Theme\Theme;
use Concrete\Core\Page\Template;

class Controller extends Package
{
  protected $pkgHandle = 'dexign_theme';
  protected $appVersionRequired = '8.5.1';
  protected $pkgVersion = '1.0.1';
  protected $pkgAllowsFullContentSwap = true;
  protected $pkgAutoloaderRegistries = array(
    'src/Dexign' => '\Dexign',
  );

  public function getPackageName()
	{
		return t("Dexign Theme");
	}
	
	public function getPackageDescription()
	{
		return t("Adds the Dexign theme and content to your Site");
	}
	
	public function install()
	{
    $pkg = parent::install();
    BlockType::installBlockType('dexign_image', $pkg); 
    Theme::add('dexign', $pkg);
    $this->installPageTemplates($pkg); 
  }

  public function upgrade() {   
    $this->installPageTemplates($this);
    parent::upgrade();
  }
  
  private function installPageTemplates($pkg) {
		if (!Template::getByHandle('full')) {
      Template::add('full', t('Full'), 'full.png', $pkg);
    }
	}
  
  public function uninstall() 
  {
    parent::uninstall();
  }

  public function on_start()
  {
    $this->app->make('Concrete\Core\Express\Controller\Manager')
      ->setStandardController('Dexign\Express\Controller\FormController');
  }
}
?>
