<?php
namespace Concrete\Package\DexignTheme\Theme\Dexign;

defined('C5_EXECUTE') or die("Access Denied.");

use Concrete\Core\Area\Layout\Preset\Provider\ThemeProviderInterface;
use Concrete\Core\Page\Theme\Theme;

class PageTheme extends Theme implements ThemeProviderInterface
{
	
    public function getThemeName()
    {
        return t('Dexign');
    }
    
    public function getThemeDescription()
    {
        return t('Theme created by Dexign.');
    }
    
    public function registerAssets()
    {
        $this->requireAsset('javascript', 'jquery');
        $this->requireAsset('javascript-conditional', 'html5-shiv');
        $this->requireAsset('javascript-conditional', 'respond');
    }

    public function getThemeAreaLayoutPresets()
    {
    $presets = array(
        array(
            'handle' => 'four_columns',
            'name' => 'Four Columns',
            'container' => '<div class="row"></div>',
            'columns' => array(
                '<div class="col-3 col-sm-6"></div>',
                '<div class="col-3 col-sm-6"></div>',
                '<div class="col-3 col-sm-6"></div>',
                '<div class="col-3 col-sm-6"></div>',
            ),
        ),
        array(
            'handle' => 'three_columns',
            'name' => 'Three Columns',
            'container' => '<div class="row"></div>',
            'columns' => array(
                '<div class="col-4"></div>',
                '<div class="col-4"></div>',
                '<div class="col-4"></div>',
            ),
        ),
        array(
            'handle' => 'two_columns',
            'name' => 'Two Columns',
            'container' => '<div class="row"></div>',
            'columns' => array(
                '<div class="col-6"></div>',
                '<div class="col-6"></div>',
            ),
        )
    );
    return $presets;
    }
} ?>